Debian Bug report logs - #687272
ITP: haskell-hoogle -- Haskell API Search

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kiwamu Okabe <kiwamu@debian.or.jp>

Date: Tue, 11 Sep 2012 11:15:02 UTC

Owned by: Kiwamu Okabe <kiwamu@debian.or.jp>

Severity: wishlist

Fixed in version haskell-hoogle/4.2.14-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#687272; Package wnpp. (Tue, 11 Sep 2012 11:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kiwamu Okabe <kiwamu@debian.or.jp>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 11 Sep 2012 11:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kiwamu Okabe <kiwamu@debian.or.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: haskell-hoogle -- Haskell API Search
Date: Tue, 11 Sep 2012 20:09:49 +0900
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Package: wnpp
Severity: wishlist
Owner: Kiwamu Okabe <kiwamu@debian.or.jp>

* Package name    : haskell-hoogle
  Version         : 4.2.10
  Upstream Author : Neil Mitchell <ndmitchell@gmail.com>
* URL             : http://www.haskell.org/hoogle/
  Vcs-Browser     :
http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hoogle
* License         : GPL2
  Programming Lang: Haskell
  Description     : Haskell API Search
  Hoogle is a Haskell API search engine, which allows you to
  search many standard Haskell libraries by either function name,
  or by approximate type signature.

- -- 
Kiwamu Okabe
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJQTxv7AAoJEBjdTXLyy8oG3WAQAIf3QCfMafjiiJAb7M+XkVub
2cqojGRCAChhUMq3KklPXBj+LUHQUsUUWdjNXOc5pp/eDFh5zbuR7A6mPepqFruS
AZjDJYLE7Iwh2wdCXxfl2QHPEVPZfOvpZR180nOsJuZLqNSu+xXMT+tFBndsEeXn
Mpxrua20zDaGcZxpMTW85bPmQsqSBLaJ70seZVI0KJf2ROeyTN7IGj42BcMiprTC
siPX+qHq9FyMr57Ac9qKa8Z8uoqTf3ZF385CZ/QLixOOehBVFejAsl3KEUxv+Ugr
Pwarcz4U2852KhuM2jsViXmvQq6hkjfk15uOA1AdrKOzJauqQ1gfgf0dfNBIKQeg
yMk1dUu3zGqzC0i1KUaHx+BAQIyK2dsuIE07uQ8KYPzDYnJe/p+ayuvYKWqlt8JM
PhWkwmiplv++MwwwINafjpGn3U2aUFL8YPV/ZQ22MnERRWpvwvAoTU7v6M7jT0Oe
VWijN8gF3KPr3Btie+ksDJSieAm0uFHKdUGFgF+9wzctsaBBCWDxIMjeBHaajpyY
P2qcvTKFA1vKN3De5Rmt3b7ryVSHKwb4ckcu6NjEnVMJ3Owg/dUyPbX5Lwdmjnty
X0msRoWVs/unxGi4KRd4TIQX3+N8EPN+kcUVjv+wHw9XAzuiTbWqpA9kgecdbD1d
9sYjDHIJtXJnazNTETF0
=7l6W
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kiwamu Okabe <kiwamu@debian.or.jp>:
Bug#687272; Package wnpp. (Tue, 11 Sep 2012 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <etienne.millon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kiwamu Okabe <kiwamu@debian.or.jp>. (Tue, 11 Sep 2012 11:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 687272@bugs.debian.org (full text, mbox):

From: Etienne Millon <etienne.millon@gmail.com>
To: Kiwamu Okabe <kiwamu@debian.or.jp>, 687272@bugs.debian.org
Subject: Re: Bug#687272: ITP: haskell-hoogle -- Haskell API Search
Date: Tue, 11 Sep 2012 13:24:25 +0200
* Kiwamu Okabe <kiwamu@debian.or.jp> [120911 13:16]:
> * Package name    : haskell-hoogle
>   Version         : 4.2.10
>   Upstream Author : Neil Mitchell <ndmitchell@gmail.com>
> * URL             : http://www.haskell.org/hoogle/
>   Vcs-Browser     :
> http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hoogle
> * License         : GPL2
>   Programming Lang: Haskell
>   Description     : Haskell API Search
>   Hoogle is a Haskell API search engine, which allows you to
>   search many standard Haskell libraries by either function name,
>   or by approximate type signature.

Hello,

FYI there was already a (dead) ITP for hoogle : #533175.

Have a nice day and thanks for bringing an offline version of hoogle
to debian users :)

-- 
Etienne Millon



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#687272; Package wnpp. (Tue, 11 Sep 2012 11:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kiwamu Okabe <kiwamu@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Sep 2012 11:33:05 GMT) Full text and rfc822 format available.

Message #15 received at 687272@bugs.debian.org (full text, mbox):

From: Kiwamu Okabe <kiwamu@debian.or.jp>
To: 687272@bugs.debian.org
Subject: Re: Bug#687272: ITP: haskell-hoogle -- Haskell API Search
Date: Tue, 11 Sep 2012 20:30:24 +0900
On Tue, Sep 11, 2012 at 8:24 PM, Etienne Millon
<etienne.millon@gmail.com> wrote:
> FYI there was already a (dead) ITP for hoogle : #533175.
>
> Have a nice day and thanks for bringing an offline version of hoogle
> to debian users :)

Oh! Wait a bit.
debian-haskell team will dput it soon!
-- 
Kiwamu Okabe



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 18 Sep 2012 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Fri, 05 Apr 2013 13:03:15 GMT) Full text and rfc822 format available.

Notification sent to Kiwamu Okabe <kiwamu@debian.or.jp>:
Bug acknowledged by developer. (Fri, 05 Apr 2013 13:03:15 GMT) Full text and rfc822 format available.

Message #22 received at 687272-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 687272-close@bugs.debian.org
Subject: Bug#687272: fixed in haskell-hoogle 4.2.14-1
Date: Fri, 05 Apr 2013 13:00:07 +0000
Source: haskell-hoogle
Source-Version: 4.2.14-1

We believe that the bug you reported is fixed in the latest version of
haskell-hoogle, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687272@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-hoogle package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Jan 2013 11:32:57 +0100
Source: haskell-hoogle
Binary: libghc-hoogle-dev libghc-hoogle-prof libghc-hoogle-doc hoogle
Architecture: source all amd64
Version: 4.2.14-1
Distribution: experimental
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 hoogle     - Haskell API Search for Debian system
 libghc-hoogle-dev - Haskell API Search
 libghc-hoogle-doc - Haskell API Search; documentation
 libghc-hoogle-prof - Haskell API Search; profiling libraries
Closes: 687272
Changes: 
 haskell-hoogle (4.2.14-1) experimental; urgency=low
 .
   [ Kiwamu Okabe ]
   * Collect txt files from /usr/lib/ghc-doc/hoogle/ dir.
   * ITP (Closes: #687272 #533175)
 .
   [ Joachim Breitner ]
   * Depend on haskell-devscripts 0.8.13 to ensure this package is built
     against experimental
   * Bump standards version, no change
   * Ship debian/jquery_1.7.2+dfsg.orig.tar.gz to satisfy DFSG #1 with regard
     to the embedded jquery copy.
Checksums-Sha1: 
 9b9583d749dcfede383c11e6e290c42555379c45 3106 haskell-hoogle_4.2.14-1.dsc
 dff2301cff2d2757e925b837197f90faa2090cda 118457 haskell-hoogle_4.2.14.orig.tar.gz
 3396588c6a6a8829553693fc8b5e5d751ad3cc57 176815 haskell-hoogle_4.2.14-1.debian.tar.gz
 95f19d34d11d71e6422c267bc028353e0c31469c 138102 libghc-hoogle-doc_4.2.14-1_all.deb
 dfd95f4a081bcff494c5869775eb28a6d5209919 1206364 libghc-hoogle-dev_4.2.14-1_amd64.deb
 70999068278ad5f486c7e6f9276b30f6db9f4ed0 1163146 libghc-hoogle-prof_4.2.14-1_amd64.deb
 d0e500d69390c18dde54c895fa574152cf68ac3f 3165842 hoogle_4.2.14-1_amd64.deb
Checksums-Sha256: 
 0317d875c95e4e6c68705bd1605630afd5cd9e34077b006a847c6bd06532441e 3106 haskell-hoogle_4.2.14-1.dsc
 32af22fa4c1ecd87c1ab67e196e11e0db6e8805723c3adecf3cb8adb3f72b5fa 118457 haskell-hoogle_4.2.14.orig.tar.gz
 ce5e107ba9097e80ec39bf0a9861693dab36a7411c5974257074963c89293081 176815 haskell-hoogle_4.2.14-1.debian.tar.gz
 2c6462eb0015325eddcbb47106a54471295df798967725c690ef27d8cae29084 138102 libghc-hoogle-doc_4.2.14-1_all.deb
 538e52789693a2a11c303d1bbf1c081f582c16d2e4162f469d2b0a97899a23c9 1206364 libghc-hoogle-dev_4.2.14-1_amd64.deb
 04dbf971d2a0dd023879ce47c91d2af7203acc148cc645d29c62d28812193673 1163146 libghc-hoogle-prof_4.2.14-1_amd64.deb
 4e423c8921372f5b131d03d5fc36e37fc914a2009c9f5346088fcaa1c1b1d43a 3165842 hoogle_4.2.14-1_amd64.deb
Files: 
 522813ce9a06656ebda1a4a6efaf363f 3106 haskell extra haskell-hoogle_4.2.14-1.dsc
 71bf2442392c6cf48c1ef1a54d87288a 118457 haskell extra haskell-hoogle_4.2.14.orig.tar.gz
 1ae3dc2a74503e5ac6d3961c125e8f2a 176815 haskell extra haskell-hoogle_4.2.14-1.debian.tar.gz
 a50c164c7dcce17041251e24bda2f33e 138102 doc extra libghc-hoogle-doc_4.2.14-1_all.deb
 ed3d6b1810a0d087b7c868ba5afcf251 1206364 haskell extra libghc-hoogle-dev_4.2.14-1_amd64.deb
 d5cdce19073df67f453457c129c72a8d 1163146 haskell extra libghc-hoogle-prof_4.2.14-1_amd64.deb
 e3e476c5e3f77df45e69df9ce58aba41 3165842 misc extra hoogle_4.2.14-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEASvcACgkQ9ijrk0dDIGxgIACgwTPt12VU+jRCxlHcUYBGECWX
/8YAoKzu4WCv44eVoqmbKWBsziX4kh1/
=TmwF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 May 2013 07:30:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:17:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.